<template src="./template.html"></template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import { apiErrorHandler } from "~/utils/apiHanlers";
import CountryFlag from "vue-country-flag";
import { ICountry } from "~/interfaces/shipping";
//@ts-ignore
import listCountry from "~/locales/listCountry.json";

@Component({
  layout: "admin",
  middleware: "authenticated",
  components: {
    CountryFlag,
  },
})
export default class ShippingComponent extends Vue {
  listShipping = [];
  listCountrySort = listCountry;
  isRestOfWorld = false;
  loadingTable = false;
  async getListShipping() {
    try {
      this.loadingTable = true;
      const response = await this.$api.shipping.allShippingAdmin(
        this.isRestOfWorld
      );
      if (response?.data) {
        this.listShipping = response.data.data;
      }
    } catch (error) {
      apiErrorHandler(error, this);
    } finally {
      this.loadingTable = false;
    }
  }
  mounted() {
    this.getListShipping();
  }

  findCountryName(quocgia: string) {
    const findCountry: ICountry = this.listCountrySort.find(
      (country: any) => country.code === quocgia
    ) || { name: "", code: "" };

    return findCountry.name || "";
  }
}
</script>

<style lang="scss">
p {
  margin-bottom: 0 !important;
}
</style>
